import { SimultaneousRevealContractData as _SimultaneousRevealContractData } from '@inkerlabs/sdk';
export declare const useContractData: () => [_SimultaneousRevealContractData | undefined, string | undefined];
export declare const useContractMetadata: () => [import("@inkerlabs/sdk").ContractMetadata | undefined, string | undefined];
export declare const useBuyPrivate: () => (amount: number) => Promise<boolean>;
export declare const useBuyPublic: () => (amount: number) => Promise<boolean>;
export declare const useWhiteListTickets: () => [(import("@inkerlabs/sdk").WhiteListTicket[] | undefined)?, (string | undefined)?];
export declare const useConfig: () => import("@inkerlabs/sdk").SimultaneousRevealConfig;
export declare const useNFTs: () => {
    tokens: string[] | undefined;
    nfts: import("@inkerlabs/sdk").NFTsMetadata | undefined;
    error: string | undefined;
};
export declare type SimultaneousRevealContractData = _SimultaneousRevealContractData;
